Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.model.iface
Interface Request

All Superinterfaces:
  ModelItem, PropertyChangeNotifier

All Known Implementing Classes:
  WsdlRequest, WsdlTestRequest

    public interface Request

extends ModelItem

Request interface

Author:
  Ole.Matzura

Nested Class Summary
`static class` | `Request.SubmitException`

Field Summary
`static java.lang.String` | `ENCODING_PROPERTY`
`static java.lang.String` | `ENDPOINT_PROPERTY`
`static java.lang.String` | `REQUEST_PROPERTY`

Fields inherited from interface com.eviware.soapui.model.ModelItem
`DESCRIPTION_PROPERTY, ICON_PROPERTY, NAME_PROPERTY`

Method Summary
`void` | `addSubmitListener(SubmitListener listener)`
`Attachment[]` | `getAttachments()`
`java.lang.String` | `getEncoding()`
`java.lang.String` | `getEndpoint()`
`Operation` | `getOperation()`
`java.lang.String` | `getRequestContent()`
`MessagePart[]` | `getRequestParts()`
`MessagePart[]` | `getResponseParts()`
`void` | `removeSubmitListener(SubmitListener listener)`
`void` | `setEncoding(java.lang.String string)`
`void` | `setEndpoint(java.lang.String string)`
`Submit` | `submit(SubmitContext submitContext, boolean async)`

Methods inherited from interface com.eviware.soapui.model.ModelItem
`getDescription, getIcon, getName, getSettings`

Methods inherited from interface com.eviware.soapui.support.PropertyChangeNotifier
`addPropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, removePropertyChangeListener`

Field Detail

### REQUEST_PROPERTY

    static final java.lang.String REQUEST_PROPERTY

### ENDPOINT_PROPERTY

    static final java.lang.String ENDPOINT_PROPERTY

### ENCODING_PROPERTY

    static final java.lang.String ENCODING_PROPERTY

Method Detail

### getRequestContent

    java.lang.String getRequestContent()

### setEndpoint

    void setEndpoint(java.lang.String string)

### getEndpoint

    java.lang.String getEndpoint()

### getEncoding

    java.lang.String getEncoding()

### setEncoding

    void setEncoding(java.lang.String string)

### getOperation

    Operation getOperation()

### addSubmitListener

    void addSubmitListener(SubmitListener listener)

### removeSubmitListener

    void removeSubmitListener(SubmitListener listener)

### submit

    Submit submit(SubmitContext submitContext,
                  boolean async)
                  throws Request.SubmitException

  Throws:
    `Request.SubmitException`

### getAttachments

    Attachment[] getAttachments()

### getRequestParts

    MessagePart[] getRequestParts()

### getResponseParts

    MessagePart[] getResponseParts()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.